/*
 *  Remodal - v1.1.1
 *  Responsive, lightweight, fast, synchronized with CSS animations, fully customizable modal window plugin with declarative configuration and hash tracking.
 *  http://vodkabears.github.io/remodal/
 *
 *  Made by Ilya Makarov
 *  Under MIT License
 */
/* ==========================================================================
   Remodal's default mobile first theme
   ========================================================================== */
/* Default theme styles for the background */
.remodal-bg.remodal-is-opening,
.remodal-bg.remodal-is-opened
{
    filter: blur(3px);
}

/* Default theme styles of the overlay */
.remodal-overlay
{
    background: rgba(77, 77, 77, .95);
}

.remodal-overlay.remodal-is-opening,
.remodal-overlay.remodal-is-closing
{
    -webkit-animation-duration: .3s;
            animation-duration: .3s;

    -webkit-animation-fill-mode: forwards;
            animation-fill-mode: forwards;
}

.remodal-overlay.remodal-is-opening
{
    -webkit-animation-name: remodal-overlay-opening-keyframes;
            animation-name: remodal-overlay-opening-keyframes;
}

.remodal-overlay.remodal-is-closing
{
    -webkit-animation-name: remodal-overlay-closing-keyframes;
            animation-name: remodal-overlay-closing-keyframes;
}

/* Default theme styles of the wrapper */
.remodal-wrapper
{
    padding: 10px 10px 0;
}

/* Default theme styles of the modal dialog */
.remodal
{
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    width: 100%;
    margin-bottom: 10px;

    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);

    color: #2b2e38;
    background: #fff;
}

.remodal.remodal-is-opening,
.remodal.remodal-is-closing
{
    -webkit-animation-duration: .3s;
            animation-duration: .3s;

    -webkit-animation-fill-mode: forwards;
            animation-fill-mode: forwards;
}

.remodal.remodal-is-opening
{
    -webkit-animation-name: remodal-opening-keyframes;
            animation-name: remodal-opening-keyframes;
}

.remodal.remodal-is-closing
{
    -webkit-animation-name: remodal-closing-keyframes;
            animation-name: remodal-closing-keyframes;
}

/* Vertical align of the modal dialog */
.remodal,
.remodal-wrapper:after
{
    vertical-align: middle;
}

/* Close button */
.remodal-close
{
    position: absolute;
    z-index: 9999; 
    top: -40px;
    right: -40px;

    display: block;
    overflow: visible;

    width: 35px;
    height: 35px;
    margin: 0;
    padding: 0;

    cursor: pointer;
    -webkit-transition: color .2s;
            transition: color .2s;
    text-decoration: none;

    color: #d4d4d4;
    border: 0;
    outline: 0;
    background: transparent;
}

.remodal-close:hover,
.remodal-close:focus
{
    color: #d4d4d4;
}

.remodal-close:before
{
    font-family: Arial, 'Helvetica CY', 'Nimbus Sans L', sans-serif !important;
    font-size: 38px;
    line-height: 35px;

    position: absolute;
    top: 0;
    left: 0;

    display: block;

    width: 35px;

    content: '\00d7';
    text-align: center;
}

@media screen and (max-width: 767px)
{
    .remodal-close
    {
        position: absolute;
        z-index: 9999; 
        top: -40px;
        right: 0;

        display: block;
        overflow: visible;

        width: 35px;
        height: 35px;
        margin: 0;
        padding: 0;

        cursor: pointer;
        -webkit-transition: color .2s;
                transition: color .2s;
        text-decoration: none;

        color: #d4d4d4;
        border: 0;
        outline: 0;
        background: transparent;
    }
    .remodal-close:hover,
    .remodal-close:focus
    {
        color: #d4d4d4;
    }
    .remodal-close:before
    {
        font-family: Arial, 'Helvetica CY', 'Nimbus Sans L', sans-serif !important;
        font-size: 38px;
        line-height: 35px;

        position: absolute;
        top: 0;
        left: 0;

        display: block;

        width: 35px;

        content: '\00d7';
        text-align: center;
    }
}

/* Dialog buttons */
.remodal-confirm,
.remodal-cancel
{
    font: inherit;

    display: inline-block;
    overflow: visible;

    min-width: 110px;
    margin: 0;
    padding: 12px 0;

    cursor: pointer;
    -webkit-transition: background .2s;
            transition: background .2s;
    text-align: center;
    vertical-align: middle;
    text-decoration: none;

    border: 0;
    outline: 0;
}

.remodal-confirm
{
    color: #fff;
    background: #81c784;
}

.remodal-confirm:hover,
.remodal-confirm:focus
{
    background: #66bb6a;
}

.remodal-cancel
{
    color: #fff;
    background: #e57373;
}

.remodal-cancel:hover,
.remodal-cancel:focus
{
    background: #ef5350;
}

/* Remove inner padding and border in Firefox 4+ for the button tag. */
.remodal-confirm::-moz-focus-inner,
.remodal-cancel::-moz-focus-inner,
.remodal-close::-moz-focus-inner
{
    padding: 0;

    border: 0;
}

/* Keyframes
   ========================================================================== */
@-webkit-keyframes remodal-opening-keyframes
{
    from
    {
        -webkit-transform: scale(1.05);
                transform: scale(1.05);

        opacity: 0;
    }
    to
    {
        -webkit-transform: none;
                transform: none;

        opacity: 1;

        filter: blur(0);
    }
}

@keyframes remodal-opening-keyframes
{
    from
    {
        -webkit-transform: scale(1.05);
                transform: scale(1.05);

        opacity: 0;
    }
    to
    {
        -webkit-transform: none;
                transform: none;

        opacity: 1;

        filter: blur(0);
    }
}

@-webkit-keyframes remodal-closing-keyframes
{
    from
    {
        -webkit-transform: scale(1);
                transform: scale(1);

        opacity: 1;
    }
    to
    {
        -webkit-transform: scale(.95);
                transform: scale(.95);

        opacity: 0;

        filter: blur(0);
    }
}

@keyframes remodal-closing-keyframes
{
    from
    {
        -webkit-transform: scale(1);
                transform: scale(1);

        opacity: 1;
    }
    to
    {
        -webkit-transform: scale(.95);
                transform: scale(.95);

        opacity: 0;

        filter: blur(0);
    }
}

@-webkit-keyframes remodal-overlay-opening-keyframes
{
    from
    {
        opacity: 0;
    }
    to
    {
        opacity: 1;
    }
}

@keyframes remodal-overlay-opening-keyframes
{
    from
    {
        opacity: 0;
    }
    to
    {
        opacity: 1;
    }
}

@-webkit-keyframes remodal-overlay-closing-keyframes
{
    from
    {
        opacity: 1;
    }
    to
    {
        opacity: 0;
    }
}

@keyframes remodal-overlay-closing-keyframes
{
    from
    {
        opacity: 1;
    }
    to
    {
        opacity: 0;
    }
}

/* Media queries
   ========================================================================== */
.remodal
{
    max-width: 1000px;
}

@media screen and (max-width: 767px)
{
    .remodal-wrapper
    {
        padding: 40px 10px 0;
    }
    .remodal
    {
        width: calc(670 / 750 * 100vw);
    }
}

/* IE8
   ========================================================================== */
.lt-ie9 .remodal-overlay
{
    background: #2b2e38;
}

.lt-ie9 .remodal
{
    width: 700px;
}
